# $Revision: 1.9 $, $Date: 2005/01/09 18:25:47 $

%define		pname	GoodWeather

Summary:	A sensor and display for displaying the current and forecasting weather information
Summary(pl):	Czujnik i wywietlacz do pokazywania aktualnej informacji pogodowej oraz jej prognozowania
Name:		gDesklets-GoodWeather
Version:	0.4
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://gdesklets.gnomedesktop.org/files/%{pname}-%{version}.tar.bz2
# Source0-md5:	ad7851fed9de6f8adc35d522d5b08cdb
Patch0:		%{name}-metatag.patch
URL:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=93
BuildRequires:	python >= 1:2.3
BuildRequires:	python-pygtk-gtk >= 1.99.14
Requires:	gDesklets
%pyrequires_eq	python-libs
Provides:	gDesklets-display
Provides:	gDesklets-sensor
#Conflicts:	gDesklets-StarterKit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sensorsdir	%{_datadir}/gdesklets/Sensors
%define		_displaysdir	%{_datadir}/gdesklets/Displays

%description
This desklet (sensor/display) shows the current temperature, humidity,
sky, windchill temperature and a forecast of the next four days on
your desktop.

%description -l pl
Czujnik i wywietlacz do pokazywania aktualnych informacji dotyczcych
temperatury, wilgotnoci, zachmurzenia oraz siy wiatru. Wywietla
rwnie informacje na temat pogody na najblisze cztery dni.

%prep
%setup -q -n %{pname}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sensorsdir},%{_displaysdir}/%{pname}}

./Install_%{pname}_Sensor.bin --nomsg \
	$RPM_BUILD_ROOT%{_sensorsdir}

cp -R gfx *.display $RPM_BUILD_ROOT%{_displaysdir}/%{pname}

%py_comp $RPM_BUILD_ROOT%{_sensorsdir}
%py_ocomp $RPM_BUILD_ROOT%{_sensorsdir}

rm -f $RPM_BUILD_ROOT%{_sensorsdir}/*/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{_sensorsdir}/%{pname}
%{_sensorsdir}/%{pname}/*.py*
%{_sensorsdir}/%{pname}/liquid
%{_sensorsdir}/%{pname}/weather.com
%{_sensorsdir}/%{pname}/um
%{_displaysdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gDesklets-GoodWeather.spec,v $
Revision 1.9  2005/01/09 18:25:47  saq
- missing BR epoch and pyreqeq, rel 3

Revision 1.8  2004/12/15 12:17:16  radek
- minor License unifications

Revision 1.7  2004/11/03 13:37:11  paladine
- formatting

Revision 1.6  2004/08/31 11:32:58  krolik
- added patch for gDesklets-0.30 (dosplay works fine now)
- rel. 2

Revision 1.5  2004/08/13 00:17:13  domelu
- cosmetics

Revision 1.4  2004/08/12 20:55:59  qboosh
- rcs tags, pl fixes

Revision 1.3  2004/08/12 11:08:06  krolik
- fixed duplicate files warning (cosmetics)

Revision 1.2  2004/08/12 10:22:13  ankry
- formatting

Revision 1.1  2004/08/12 10:16:19  krolik
- initial
